View Issue Details

IDProjectCategoryView StatusLast Update
0000591Infinitode 2[All Projects] Infinitode 2public2021-02-07 12:06
ReporterAnonymous Assigned Totherainycat  
PrioritynormalSeverityminorReproducibilityrandom
Status assignedResolutionopen 
PlatformMobileOSAndroidOS VersionAny
Product Version 
Target VersionFixed in Version 
Summary0000591: Problems with watching ads
Description

While I'm playing, I usually like to watch ads to increase loot. However, sometimes I cannot.

Environment:
1) I have good internet connection
2) The button is obviously enabled
3) At first I thought it's becouse of leaving app and coming back again (or opening messenger chat for a moment), but I checked, and sometimes it happens after described situation, and sometimes it doesn't.

Steps To Reproduce

Simply playing a level and trying to watch all the possible ads (maybe try to leave the app for a moment)

Additional Information

I'd really like to support creator of this wonderful game by watching ads.

TagsNo tags attached.
Attach Tags

Relationships

has duplicate 0000623 closedtherainycat Problems with watching ads 

Activities

therainycat

therainycat

2020-03-07 14:47

administrator   ~0000488

How often does it happen?

Anonymous

Anonymous

2020-03-08 18:52

reporter   ~0000504

I'm also cannot watch ads. Video doesn't play and timer doesn't start, but go to the end of ads and I cannot receive reward. Or ads are simply black screen without timer and only with buttons visible. But sometimes some rare ads are playing well and I get reward.

Tungzzz

Tungzzz

2020-03-09 09:47

reporter   ~0000510

Can confirm that. Looks like ads skiped by themself. 1 from 10 normaly showed. Had tried changing location with no effect.

Anonymous

Anonymous

2020-03-19 05:53

reporter   ~0000549

Will a Catalog help? I cantry generating one.

I got an error saying something went wrong.

Anonymous

Anonymous

2020-03-28 13:06

reporter   ~0000573

Very often last time. Also when you've got problems with watching ads during the level-passing, you cannot watch the ads in other places like increasing your loot after the level by 25% or increasing the speed of chest decryption by 20 min. You must reboot the game to see the ads again



Screenshot_2020-03-28-12-55-38-120_com.prineside.tdi2.jpg (1,515,121 bytes)
Anonymous

Anonymous

2020-04-01 09:46

reporter   ~0000615

I can also not watch ads since the Loot spin was added. I can occasionally get one a day in, which is frustrating because because I can't get anything associated with ads and before it was even bad because it wouldn't let me watch ads in succession for loot %. I could watch one, but then I'd have to sit in the pause menu for hours before I could watch any again. It would seem set restrictions for certain videos aren't local to that type and is being applied globally. It's honestly game breaking for me as I can't maximize my times efforts.

Anonymous

Anonymous

2020-04-02 16:20

reporter   ~0000621

The problem is not solved yet. Even after update.



Screenshot_2020-04-02-16-17-14-712_com.prineside.tdi2.jpg (1,198,348 bytes)
therainycat

therainycat

2020-12-04 18:22

administrator   ~0001003

The problem is, I could do nothing with the ads - they depend mostly on Google Play libraries installed on your device and on your account data. For example:

  • Google's library may become outdated / broken
  • Ads may be disabled / banned for your account for some reason we'll never know
  • Anything else outside the Infinitode 2, which only says "show next ad" to the lib and have no control over it

I'm afraid it won't be fixed without physical access to the problematic device - I had no luck reproducing this issue and seems like ads are still showing to the most of the players

ololol

ololol

2020-12-04 18:26

reporter   ~0001004

Maybe reseting advertising ID in google settings can help?

therainycat

therainycat

2020-12-04 18:27

administrator   ~0001005

By the way, the game uses "light" ads library which uses shared libraries of Google Play services. It reduces app's size but will fail to load ads on devices without Google Play installed.
Infinitode 2 is officially available only on Google Play, which makes me assume this lib should be fine.
Please comment on this issue if you have official Android with latest Google Play on and have this issue

Anonymous

Anonymous

2020-12-21 15:05

reporter   ~0001037

I have this issue. No more ads since last week. Xiaomi note 8 with Miui Android and Google Play. I have a lot of games but only Infinitode has this problem

Anonymous

Anonymous

2021-01-04 10:22

reporter   ~0001049

The problem is cache related but, I think, not directly. If I clean the cache the ads restart but not with all the cleaner apps, Super Cleaner seems works better than CCleaner.
But, imho, the problems depends on the exit of ads, seems Infinitode stay in pause waiting the end of the adv also if it is closed, infact, the ads counter in shop is hidden.
I also noticed that if I close the ads too fast at the end of the time the problem occurs often.
I think will be better to add a way to reset the counter in any case 30 seconds after the ads starts whatever happens so, problem or not, it restarts

Anonymous

Anonymous

2021-01-09 18:02

reporter   ~0001051

After many cache cleaning, phone boost, mem boost and all the possible optimization, now I think is not the cache but something with the timer. Sometimes no need to cache but only a mem boost or an other type of optimization task to make the timer start again otherwise the button in shop not appears. I also noticed that I have to wait the shop timer to end, see the ads and then continue the run to view others ads for in game boost. It seems like I have to find a way to crash the timer routine to let start again and 90% of times is a phone optimization but 10% all is useless. Maybe you can add in the debug section an hard timer reset.

Anonymous

Anonymous

2021-01-14 15:16

reporter   ~0001052

Update: after a lot of tests, imho, the problem is not cache related or mem related, is only a problem inner Infinitode. I use the phone cleaner+cc cleaner+Super Clenear cleaning and boosting all and nothing happened. The only way to bypass the problem is to use one of these to crash Infinitode so when it restart the timer is clean. , I h think Infinitode sometime not catch the end of an ads and stuck there.
I finish here to test, too time consuming, I hope next version will come fast and with a solution. TY and good work

Rahvin

Rahvin

2021-01-22 01:55

reporter   ~0001057

I play on the latest Google Play on Android on a Samsung Galaxy S9 Note. I've reinstalled the game. This issue started for me probably in spring or summer of last year and I've used the fix of swiping the app closed and restarting it about 2 to 3 thousand times by now for sure. In the past month or two it's now getting worse. Multiple attempts to close and reopen along with every other idea I can think of or find hasn't done anything and I can no longer see a pattern to why the ads are available sometimes and some are not. Now they're also becoming unavailable in the same session without any interruption except for pausing the game for a few seconds. I say this because minimizing the game I think has possibly "broken" the "link" to the ads. I only care to use the Watch Ads, 25% bonus (when this fails after long runs or Splash farms I consider deleting the game...which is often now) and reducing the decryption timer. I should have complained before but with the workaround I was procrastinating. Now that that's not working I'd really like to find a fix. I prefer this game over so many others. It's very relaxing and helps to destress at the end of the day. :)

Anonymous

Anonymous

2021-02-07 12:06

reporter   ~0001068

Unfortunately, I can confirm what has been described here. For me, the game always has the problem that advertisements are not displayed. This happens regardless of which of my Android devices I use (S10+ and TabS). Sometimes I recognise which advertisements it is trying to display, but the seconds do not count down. I have never had problems with other games that follow the same advertising principle. If you could see ads six times per game, but sometimes don't even make it, that's annoying. Restarting the programme and waiting for the first 20 seconds often helps, but not always and does not guarantee the next advertisements.

Add Note

View Status
Note
Upload Files
Maximum size: 2,097 KB

Attach files by dragging & dropping, selecting or pasting them.

Issue History

Date Modified Username Field Change
2020-03-04 11:57 Anonymous New Issue
2020-03-05 14:54 administrator Assigned To => therainycat
2020-03-05 14:54 administrator Status new => assigned
2020-03-05 14:55 administrator Status assigned => feedback
2020-03-05 15:08 administrator Status feedback => acknowledged
2020-03-07 14:47 therainycat Note Added: 0000488
2020-03-07 14:47 therainycat Status acknowledged => feedback
2020-03-08 18:52 Anonymous Note Added: 0000504
2020-03-08 18:52 Anonymous Status feedback => assigned
2020-03-09 09:47 Tungzzz Note Added: 0000510
2020-03-14 00:55 Anonymous Issue cloned: 0000623
2020-03-19 05:53 Anonymous Note Added: 0000549
2020-03-28 13:06 Anonymous File Added: Screenshot_2020-03-28-12-55-38-120_com.prineside.tdi2.jpg
2020-03-28 13:06 Anonymous Note Added: 0000573
2020-04-01 09:46 Anonymous Note Added: 0000615
2020-04-02 16:20 Anonymous File Added: Screenshot_2020-04-02-16-17-14-712_com.prineside.tdi2.jpg
2020-04-02 16:20 Anonymous Note Added: 0000621
2020-12-04 18:22 therainycat Note Added: 0001003
2020-12-04 18:26 ololol Note Added: 0001004
2020-12-04 18:27 therainycat Note Added: 0001005
2020-12-04 18:28 therainycat Status assigned => feedback
2020-12-04 18:49 therainycat Relationship added has duplicate 0000623
2020-12-21 15:05 Anonymous Note Added: 0001037
2020-12-21 15:05 Anonymous Status feedback => assigned
2021-01-04 10:22 Anonymous Note Added: 0001049
2021-01-09 18:02 Anonymous Note Added: 0001051
2021-01-14 15:16 Anonymous Note Added: 0001052
2021-01-22 01:55 Rahvin Note Added: 0001057
2021-02-07 12:06 Anonymous Note Added: 0001068